Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLFormElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLFormElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLFormElement, Node

public class JRexHTMLFormElementImpl
extends JRexHTMLElementImpl
implements HTMLFormElement

A class implementing org.w3c.dom.html2.HTMLFormElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLFormElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAcceptCharset()` List of character sets supported by the server.
`String` | `getAction()` Server-side form handler.
`HTMLCollection` | `getElements()` Returns a collection of all form control elements in the form.
`String` | `getEnctype()` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`int` | `getLength()` The number of form controls in the form.
`String` | `getMethod()` HTTP method [IETF RFC 2616] used to submit form.
`String` | `getName()` Names the form.
`String` | `getTarget()` Frame to render the resource in.
`void` | `reset()` Restores a form element's default values.
`void` | `setAcceptCharset(String acceptCharset)` List of character sets supported by the server.
`void` | `setAction(String action)` Server-side form handler.
`void` | `setEnctype(String enctype)` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`void` | `setMethod(String method)` HTTP method [IETF RFC 2616] used to submit form.
`void` | `setName(String name)` Names the form.
`void` | `setTarget(String target)` Frame to render the resource in.
`void` | `submit()` Submits the form.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getElements

    public HTMLCollection getElements()

  Description copied from interface: `HTMLFormElement`
  Returns a collection of all form control elements in the form.

  Specified by:
    `getElements` in interface `HTMLFormElement`

### getLength

    public int getLength()

  Description copied from interface: `HTMLFormElement`
  The number of form controls in the form.

  Specified by:
    `getLength` in interface `HTMLFormElement`

### getName

    public String getName()

  Description copied from interface: `HTMLFormElement`
  Names the form.

  Specified by:
    `getName` in interface `HTMLFormElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLFormElement`
  Names the form.

  Specified by:
    `setName` in interface `HTMLFormElement`

### getAcceptCharset

    public String getAcceptCharset()

  Description copied from interface: `HTMLFormElement`
  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.01.

  Specified by:
    `getAcceptCharset` in interface `HTMLFormElement`

### setAcceptCharset

    public void setAcceptCharset(String acceptCharset)

  Description copied from interface: `HTMLFormElement`
  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.01.

  Specified by:
    `setAcceptCharset` in interface `HTMLFormElement`

### getAction

    public String getAction()

  Description copied from interface: `HTMLFormElement`
  Server-side form handler. See the action attribute definition in HTML 4.01.

  Specified by:
    `getAction` in interface `HTMLFormElement`

### setAction

    public void setAction(String action)

  Description copied from interface: `HTMLFormElement`
  Server-side form handler. See the action attribute definition in HTML 4.01.

  Specified by:
    `setAction` in interface `HTMLFormElement`

### getEnctype

    public String getEnctype()

  Description copied from interface: `HTMLFormElement`
  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.01. The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.

  Specified by:
    `getEnctype` in interface `HTMLFormElement`

### setEnctype

    public void setEnctype(String enctype)

  Description copied from interface: `HTMLFormElement`
  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.01. The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.

  Specified by:
    `setEnctype` in interface `HTMLFormElement`

### getMethod

    public String getMethod()

  Description copied from interface: `HTMLFormElement`
  HTTP method [IETF RFC 2616] used to submit form. See the method attribute definition in HTML 4.01.

  Specified by:
    `getMethod` in interface `HTMLFormElement`

### setMethod

    public void setMethod(String method)

  Description copied from interface: `HTMLFormElement`
  HTTP method [IETF RFC 2616] used to submit form. See the method attribute definition in HTML 4.01.

  Specified by:
    `setMethod` in interface `HTMLFormElement`

### getTarget

    public String getTarget()

  Description copied from interface: `HTMLFormElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `getTarget` in interface `HTMLFormElement`

### setTarget

    public void setTarget(String target)

  Description copied from interface: `HTMLFormElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `setTarget` in interface `HTMLFormElement`

### submit

    public void submit()

  Description copied from interface: `HTMLFormElement`
  Submits the form. It performs the same action as a submit button.

  Specified by:
    `submit` in interface `HTMLFormElement`

### reset

    public void reset()

  Description copied from interface: `HTMLFormElement`
  Restores a form element's default values. It performs the same action as a reset button.

  Specified by:
    `reset` in interface `HTMLFormElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.